DB_ENV->get_create_dir()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_create_dir()

    #include <db.h>

    int
    DB_ENV->get_create_dir(DB_ENV *dbenv, const char **dirp);

The `DB_ENV->get_create_dir()` method returns a pointer to the name of the directory to create databases in.

The `DB_ENV->get_create_dir()` method may be called at any time during the life of the application.

The `DB_ENV->get_create_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The `DB_ENV->get_create_dir()` method returns a ponter to the name of the directory in dirp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
db_full_version | Home | DB_ENV->get_data_dirs()